Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.komponenten
Class Textfeld

    java.lang.Object
      sum.komponenten.Komponente
          sum.komponenten.Textkomponente
              sum.komponenten.Markierungskomponente
                  sum.komponenten.Textfeld

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  Kennwortfeld

    public class Textfeld

extends Markierungskomponente
implements Serializable

Ein Textfeld ist die Klasse fuer Java-TextFields. Textfelder sind Editoren mit einer festen Breite und Hoehe. Im Gegensatz zu Textbereichen haben sie keinen Rollbalken und bestehen nur aus einer einzigen Zeile. Sie reagieren auf Texteingaben und Mausklicks. Wenn etwas in ein Textfeld getippt werden soll, muss es vorher mit einem Mausklick aktiviert werden, d.h. das Textfeld muss den Fokus haben.

Version:
  7.0 vom 21.9.2008
Author:
  Bernard Schriek, Horst Hildebrecht
See Also:
  Serialized Form

Field Summary
`protected JTextField` | `hatTextField`
`protected String` | `zEingabeBestaetigtBearbeiter`

Fields inherited from class sum.komponenten.Markierungskomponente
`zInhaltGeaendertBearbeiter, zMarkierungGeaendertBearbeiter`

Fields inherited from class sum.komponenten.Textkomponente
`zAktuellFont, zSchriftArt, zSchriftGroesse, zSchriftStil`

Fields inherited from class sum.komponenten.Komponente
`hatComponent, kenntFenster`

Constructor Summary
`Textfeld()` Dummy-Konstruktor für die Unterklasse Kennwortfeld.
`Textfeld(double pLinks, double pOben, double pBreite, double pHoehe, String pText)` Das Textfeld wird erzeugt und enthaelt den uebergebenen Text.
`Textfeld(Fenster pFenster, double pLinks, double pOben, double pBreite, double pHoehe, String pText)` Das Textfeld wird erzeugt und enthaelt den uebergebenen Text.

Method Summary
`protected void` | `bekommtFokus()` Das Textfeld erhaelt den Fokus.
`protected void` | `eingabeBestaetigt()` Das Textfeld reagiert auf die Eingabebestaetigung (Enter).
`void` | `fuegeEin(String pText, int pStelle)` Der Text pText wird an Position pStelle eingefuegt.
`void` | `haengeAn(char pZeichen)` Das Zeichen pZeichen wird am Ende angehaengt.
`void` | `haengeAn(double pZahl)` Die Kommazahl pZahl wird am Ende angehaengt.
`void` | `haengeAn(int pZahl)` Das ganze Zahl pZahl wird am Ende angehaengt.
`void` | `haengeAn(String pText)` Der Text pText wird am Ende angehaengt.
`String` | `inhaltAlsText()` Der Text des Textfeldes wird als String zurueckgegeben.
`protected void` | `inhaltGeaendert()` Das Textfeld reagiert auf Veraenderungen.
`boolean` | `istMarkiert()` Es wird zurueckgegeben, ob der Text markiert ist.
`void` | `loesche(int pAnfang, int pEnde)` Der durch die Parameter bestimmte Text wird geloescht.
`void` | `loescheAlles()` Der gesamte Text wird geloescht.
`void` | `loescheMarkierung()` Der markierte Text wird geloescht.
`void` | `markiereAlles()` Der gesamte Text wird markiert.
`void` | `markiereNichts()` Der gesamte Text wird nicht markiert.
`String` | `markierterInhalt()` Der im Textfeld markierte Text wird geliefert.
`protected void` | `markierungGeaendert()` Das Textfeld reagiert auf Veraenderungen der Markierung.
`int` | `markierungsAnfang()` Es wird zurueckgegeben, von wo an der Text markiert ist.
`int` | `markierungsEnde()` Es wird zurueckgegeben, bis wohin der Text markiert ist.
`void` | `setzeAusrichtung(int pAusrichtung)` Die Ausrichtung des Texts im Textfeld wird geaendert.
`void` | `setzeBearbeiterEingabeBestaetigt(String pBearbeiter)` Die Methode zur Bearbeitung des EingabeBestaetigt-Ereignisses in der Ereignisanwendung wird festgelegt.
`void` | `setzeInhalt(String pText)` Ds Textfeld erhaelt einen neuen Inhalt.
`void` | `setzeMarkierung(int pAnfang, int pEnde)` Der Text zwischen den Zeichen an Position pAnfang und pEnde wird markiert.
`String` | `teilinhalt(int pAnfang, int pEnde)` Der Inhaltdes Textfeldes von pAnfang bis pEnde wird als String zurueckgegeben.
`protected void` | `verliertFokus()` Das Textfeld verliert den Fokus.

Methods inherited from class sum.komponenten.Markierungskomponente
`setzeBearbeiterInhaltGeaendert, setzeBearbeiterMarkierungGeaendert, teilInhalt`

Methods inherited from class sum.komponenten.Textkomponente
`inhaltAlsGanzeZahl, inhaltAlsLangeGanzeZahl, inhaltAlsZahl, inhaltIstGanzeZahl, inhaltIstLangeGanzeZahl, inhaltIstText, inhaltIstZahl, init, schriftfarbe, schriftFarbe, setzeInhalt, setzeInhalt, setzeInhalt, setzeInhalt, setzeSchriftart, setzeSchriftArt, setzeSchriftfarbe, setzeSchriftFarbe, setzeSchriftfarbe, setzeSchriftFarbe, setzeSchriftgroesse, setzeSchriftGroesse, setzeSchriftstil, setzeSchriftStil`

Methods inherited from class sum.komponenten.Komponente
`aktiviere, besitztFokus, breite, deaktiviere, farbe, fokusErhaltenBearbeiter, fokusVerlorenBearbeiter, gibFrei, hoehe, init, istAktiv, istSichtbar, lerneKomponenteKennen, links, oben, setzeBearbeiterFokusErhalten, setzeBearbeiterFokusVerloren, setzeFarbe, setzeFarbe, setzeFokus, setzeFokusWert, setzeGroesse, setzeHinweis, setzePosition, verstecke, zeige`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hatTextField

    protected JTextField hatTextField

### zEingabeBestaetigtBearbeiter

    protected String zEingabeBestaetigtBearbeiter

Constructor Detail

### Textfeld

    public Textfeld()

  Dummy-Konstruktor für die Unterklasse Kennwortfeld.

### Textfeld

    public Textfeld(double pLinks,
                    double pOben,
                    double pBreite,
                    double pHoehe,
                    String pText)

  Das Textfeld wird erzeugt und enthaelt den uebergebenen Text. Position, Breite und Hoehe werden als Parameter uebergeben. Das Textfeld befindet sich auf dem Bildschirm.

  Parameters:
    `pLinks` - der Abstand der Komponente vom linken Fensterrand
    `pOben` - der Abstand der Komponente vom oberen Fensterrand
    `pBreite` - die Breite der Komponente
    `pHoehe` - die Hoehe der Komponente
    `pText` - der Inhalt der Komponente

### Textfeld

    public Textfeld(Fenster pFenster,
                    double pLinks,
                    double pOben,
                    double pBreite,
                    double pHoehe,
                    String pText)

  Das Textfeld wird erzeugt und enthaelt den uebergebenen Text. Position, Breite und Hoehe werden als Parameter uebergeben. Das Textfeld befindet sich auf dem Fenster.

  Parameters:
    `pFenster` - das Fenster, das die Komponente enthält
    `pLinks` - der Abstand der Komponente vom linken Fensterrand
    `pOben` - der Abstand der Komponente vom oberen Fensterrand
    `pBreite` - die Breite der Komponente
    `pHoehe` - die Hoehe der Komponente
    `pText` - der Inhalt der Komponente

Method Detail

### bekommtFokus

    protected void bekommtFokus()

  Das Textfeld erhaelt den Fokus.

### eingabeBestaetigt

    protected void eingabeBestaetigt()

  Das Textfeld reagiert auf die Eingabebestaetigung (Enter).

### fuegeEin

    public void fuegeEin(String pText,
                         int pStelle)

  Der Text pText wird an Position pStelle eingefuegt.

  Specified by:
    `fuegeEin` in class `Markierungskomponente`
  Parameters:
    `pText` - der Text, der eingefuegt wird
    `pStelle` - die Stelle, wo der Text eingefuegt wird

### haengeAn

    public void haengeAn(char pZeichen)

  Das Zeichen pZeichen wird am Ende angehaengt.

  Specified by:
    `haengeAn` in class `Markierungskomponente`
  Parameters:
    `pZeichen` - das Zeichen, das am Ende angehaengt wird

### haengeAn

    public void haengeAn(double pZahl)

  Die Kommazahl pZahl wird am Ende angehaengt.

  Specified by:
    `haengeAn` in class `Markierungskomponente`
  Parameters:
    `pZahl` - die Zahl, die am Ende angehaengt wird

### haengeAn

    public void haengeAn(int pZahl)

  Das ganze Zahl pZahl wird am Ende angehaengt.

  Specified by:
    `haengeAn` in class `Markierungskomponente`
  Parameters:
    `pZahl` - die Zahl, die am Ende angehaengt wird

### haengeAn

    public void haengeAn(String pText)

  Der Text pText wird am Ende angehaengt.

  Specified by:
    `haengeAn` in class `Markierungskomponente`
  Parameters:
    `pText` - der Text, der am Ende angehaengt wird

### inhaltAlsText

    public String inhaltAlsText()

  Der Text des Textfeldes wird als String zurueckgegeben.

  Specified by:
    `inhaltAlsText` in class `Textkomponente`
  Returns:
    der Inhalt der Komponente als Zeichenkette (String)

### inhaltGeaendert

    protected void inhaltGeaendert()

  Das Textfeld reagiert auf Veraenderungen.

### istMarkiert

    public boolean istMarkiert()

  Es wird zurueckgegeben, ob der Text markiert ist.

  Specified by:
    `istMarkiert` in class `Markierungskomponente`
  Returns:
    true, wenn Text markiert ist

### loesche

    public void loesche(int pAnfang,
                        int pEnde)

  Der durch die Parameter bestimmte Text wird geloescht.

  Specified by:
    `loesche` in class `Markierungskomponente`
  Parameters:
    `pAnfang` - erste Stelle
    `pEnde` - letzte Stelle

### loescheAlles

    public void loescheAlles()

  Der gesamte Text wird geloescht.

  Overrides:
    `loescheAlles` in class `Markierungskomponente`

### loescheMarkierung

    public void loescheMarkierung()

  Der markierte Text wird geloescht.

  Specified by:
    `loescheMarkierung` in class `Markierungskomponente`

### markiereAlles

    public void markiereAlles()

  Der gesamte Text wird markiert.

  Specified by:
    `markiereAlles` in class `Markierungskomponente`

### markiereNichts

    public void markiereNichts()

  Der gesamte Text wird nicht markiert.

  Specified by:
    `markiereNichts` in class `Markierungskomponente`

### markierterInhalt

    public String markierterInhalt()

  Der im Textfeld markierte Text wird geliefert.

  Specified by:
    `markierterInhalt` in class `Markierungskomponente`
  Returns:
    der markierte Text

### markierungGeaendert

    protected void markierungGeaendert()

  Das Textfeld reagiert auf Veraenderungen der Markierung.

  Specified by:
    `markierungGeaendert` in class `Markierungskomponente`

### markierungsAnfang

    public int markierungsAnfang()

  Es wird zurueckgegeben, von wo an der Text markiert ist.

  Specified by:
    `markierungsAnfang` in class `Markierungskomponente`
  Returns:
    die erste markierte Stelle

### markierungsEnde

    public int markierungsEnde()

  Es wird zurueckgegeben, bis wohin der Text markiert ist.

  Specified by:
    `markierungsEnde` in class `Markierungskomponente`
  Returns:
    die letzte markierte Stelle

### setzeAusrichtung

    public void setzeAusrichtung(int pAusrichtung)

  Die Ausrichtung des Texts im Textfeld wird geaendert.

  Parameters:
    `pAusrichtung` - die neue Ausrichtung des Textes (siehe Klasse Ausrichtung)

### setzeBearbeiterEingabeBestaetigt

    public void setzeBearbeiterEingabeBestaetigt(String pBearbeiter)

  Die Methode zur Bearbeitung des EingabeBestaetigt-Ereignisses in der Ereignisanwendung wird festgelegt.

  Parameters:
    `pBearbeiter` - der Bezeichner des Dienstes der SuMAnwendung, der aufgerufen wird, wenn in der Komponente Enter gedrueckt wurde.

### setzeInhalt

    public void setzeInhalt(String pText)

  Ds Textfeld erhaelt einen neuen Inhalt.

  Specified by:
    `setzeInhalt` in class `Textkomponente`
  Parameters:
    `pText` - der Text, der als neuer Inhalt gesetzt wird

### setzeMarkierung

    public void setzeMarkierung(int pAnfang,
                                int pEnde)

  Der Text zwischen den Zeichen an Position pAnfang und pEnde wird markiert.

  Specified by:
    `setzeMarkierung` in class `Markierungskomponente`
  Parameters:
    `pAnfang` - erste Stelle
    `pEnde` - letzte Stelle

### teilinhalt

    public String teilinhalt(int pAnfang,
                             int pEnde)

  Der Inhaltdes Textfeldes von pAnfang bis pEnde wird als String zurueckgegeben.

  Specified by:
    `teilinhalt` in class `Markierungskomponente`
  Parameters:
    `pAnfang` - erste Stelle
    `pEnde` - letzte Stelle
  Returns:
    der Inhalt zwischen den gewählten Positionen der Komponente als Zeichenkette (String)

### verliertFokus

    protected void verliertFokus()

  Das Textfeld verliert den Fokus.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD